Skip to main content
GET
/
public
/
v1
/
reporting-service
/
campaigns
/
{campaign-id}
/
products
Get Campaign Report By Product
curl --request GET \
  --url https://api.topsort.com/public/v1/reporting-service/campaigns/{campaign-id}/products \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.topsort.com/public/v1/reporting-service/campaigns/{campaign-id}/products"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.topsort.com/public/v1/reporting-service/campaigns/{campaign-id}/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "hasMore": true,
  "reports": [
    {
      "adSpend": 1,
      "cpc": 123,
      "ctr": 123,
      "conversionRate": 123,
      "impressions": 1,
      "chargedImpressions": 1,
      "clicks": 1,
      "chargedClicks": 1,
      "purchaseCount": 1,
      "purchaseRevenue": 1,
      "roas": 123,
      "productId": "<string>",
      "quantity": 1,
      "cpm": 0,
      "acos": 0
    }
  ],
  "nextPage": "SSBzb2xlbW5seSBzd2VhciB0aGF0IEkgYW0gdXAgdG8gbm8gZ29vZAo="
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.

Path Parameters

campaign-id
string<uuid>
required

The ID of the campaign.

Query Parameters

limit
integer
default:100

The pagination limit.

Required range: 0 <= x <= 100
next_page
string | null

Pagination cursor as provided in an earlier response. If provided will fetch the next page of results.

start_date
string<date>
required

The start date for which reports will be generated.

end_date
string<date>
required

The end date for which reports will be generated.

order_by
enum<string> | null

Order by field. Sorts by numeric values (impressions, clicks, etc). Only one dimension allowed.

Available options:
impressions,
charged_impressions,
clicks,
charged_clicks,
purchase_count,
purchase_revenue,
ad_spend,
cpc,
ctr,
conversion_rate,
roas
direction
enum<string> | null

Order direction. Must be one of: asc, desc.

Available options:
asc,
desc

Response

Successful Response

hasMore
boolean
required

Flag that indicates whether more results are available. true indicates there is a next page of results. false indicates this response contains the last page of results.

reports
ProductKPIs · object[]
required

A list with report data, separated by product

nextPage
string | null

Pagination cursor. Provide this value as a next_page query parameter in a new request to retrieve the next page of results.

Minimum string length: 1
Example:

"SSBzb2xlbW5seSBzd2VhciB0aGF0IEkgYW0gdXAgdG8gbm8gZ29vZAo="